Custody providers

Get Existing Custody Allocations For Warrant

Lists existing custody allocations for a warrant with wallet address, name, amount and allocation ID.

GEThttps://api.toku.com/tga/get-existing-custody-allocations-for-warrant

Required scope: wallets:read

curl --request GET \
  --url 'https://api.toku.com/tga/get-existing-custody-allocations-for-warrant?warrantID=%3CwarrantID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "walletAddress": "string",
    "amount": 0,
    "allocationID": "string",
    "walletName": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

warrantIDstring<uuid>required

Response

200Successful response
walletAddressstring | null
amountnumber | null
allocationIDstring | null
walletNamestring | null
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits